* {
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
}

.container {
    width: 90%;
    max-width: 800px;
    min-height: 100vh;
    background-color: #d3bdeb;
    margin: auto;
    text-align: center;
    font-size: 1vw;
}

h1 {
    font-size: 3.5vw;
    color: #e9def5;
    text-align: center;
    padding: 0.5vw;
    font-family: "Red Hat Text", sans-serif;
    ;
}

/* navigation styling starts here */
nav ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #30115f;
    height: 47px;
}

nav ul li a {
    text-decoration: none;
    color: #ffffff;
    background-color: #30115f;
    border: 1px solid #30115f;
    padding: 10px;

}

nav a:hover {
    background-color: #a57ed6;
}

.currentpage {
    background-color: #a57ed6;
}

/* navigation styling ends here */
header {
    background-color: #30115f;
}

main {
    color: #30115f;
    padding: 2vw;
    font-size: 1vw;
    font-family: "Red Hat Text", sans-serif;
    text-align: center;
}

img {
    width: 70%;
    max-width: 720px;
    padding: 40px;
    margin: auto;
}

body {
    background-color: #e9def5;
    font-family: "Red Hat Text", sans-serif;
}

p {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 16px;
    font-weight: 500;
    padding: 10px;
}

.colourswatch {
    border: 1px solid black;
    padding: 12px;
    color: white;
    margin: auto;

}

h3 {
    text-align: left;
}

#darkpurple {
    background-color: #30115f;
}

#purple {
    background-color: #a57ed6;
}

#lightpurple {
    background-color: #d3bdeb;
    color: black;
}

#verylightpurple {
    background-color: #e9def5;
    color: black;
}

footer{
    width: 100%;
    height: 75px;
    background-color: #30115f;
    
}